## distorm64 1.7.30

=== linuxproj/Makefile ===
#
# diStorm (Linux Port) / Demo Application Makefile
#

TARGET	= disasm
CC	= gcc
CFLAGS	= -Wall -O2 -I. -o

all:	disasm

disasm:
	${CC} ${CFLAGS} ${TARGET} main.c ../distorm64.a

clean:
	/bin/rm -rf *.o ${TARGET}

=== build/linux/Makefile ===
#
# diStorm64 (Linux Port)
#

TARGET	= libdistorm64.so
COBJS	= ../../src/x86defs.o ../../src/wstring.o ../../src/textdefs.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/distorm.o ../../src/decoder.o
PYOBJS	= ../../src/x86defs.o ../../src/wstring.o ../../src/textdefs.o ../../src/pydistorm.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/decoder.o
CC	= gcc
CFLAGS	= -O2 -Wall -fPIC -DSUPPORT_64BIT_OFFSET -D_DLL

all: clib py

clean:
	/bin/rm -rf ../../src/*.o ${TARGET} ../../distorm64.a

clib: ${COBJS}
	${CC} ${CFLAGS} ${VERSION} ${COBJS} -fPIC -shared -o ${TARGET}
	ar rs ../../distorm64.a ${COBJS}

py: ${PYOBJS}
	${CC} ${CFLAGS} ${VERSION} ${PYOBJS} -fPIC -shared -o ${TARGET}

install: libdistorm64.so
	install -s ${TARGET} /usr/local/lib
	@echo "... running ldconfig might be smart ..."

.c.o:
	${CC} ${CFLAGS} ${VERSION} -c $< -o $@

=== build/mac/Makefile ===
#
# diStorm64 (Mac Port)
#

TARGET	= libdistorm64.dylib
COBJS	= ../../src/x86defs.o ../../src/wstring.o ../../src/textdefs.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/distorm.o ../../src/decoder.o
PYOBJS	= ../../src/x86defs.o ../../src/wstring.o ../../src/textdefs.o ../../src/pydistorm.o ../../src/prefix.o ../../src/operands.o ../../src/insts.o ../../src/instructions.o ../../src/decoder.o
CC	= gcc
CFLAGS	= -O2 -Wall -fPIC -DSUPPORT_64BIT_OFFSET -D_DLL -I/System/Library/Frameworks/Python.framework/Headers

all: clib py

clean:
	/bin/rm -rf ../../src/*.o ${TARGET} ../../distorm64.dylib

clib: ${COBJS}
	${CC} ${CFLAGS} ${VERSION} ${COBJS} -fPIC -dynamiclib -o ${TARGET}
	ar rs ../../distorm64.a ${COBJS}

py: ${PYOBJS}
	${CC} ${CFLAGS} ${VERSION} ${PYOBJS} -fPIC -dynamiclib -o ${TARGET} -lpython
.c.o:
	${CC} ${CFLAGS} ${VERSION} -c $< -o $@

=== debian/changelog ===
distorm64 (1.7.30-1) unstable; urgency=low

  * Initial release (closes: #652711).

 -- David Martínez Moreno <ender@debian.org>  Tue, 20 Dec 2011 00:49:32 -0800

=== debian/control ===
Source: distorm64
Priority: extra
Maintainer: David Martínez Moreno <ender@debian.org>
Build-Depends: debhelper (>= 8.0.0), python-dev (>> 2.7)
Standards-Version: 3.9.2
Section: libs
Homepage: http://ragestorm.net/distorm/

Package: libdistorm64-dev
Section: libdevel
Architecture: any
Depends: libdistorm64-1 (= ${binary:Version}), ${misc:Depends}
Description: ultimate disassembler library for x86 code - header files
 Distorm64 is a fast disassembler library for the x86-64 instruction set.  These
 are the header files. For more information, see the libdistorm64-1 package
 description.

Package: libdistorm64-1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ultimate disassembler library for x86 code
 Distorm64 is a fast disassembler library for the x86-64 instruction set.  Main
 features are:
  - It's really fast.
  - It supports multi-threading.
  - It supports AMD64, and all other 80x86 instruction sets.
  - It supports up to date instruction sets, such as VMX and SSE4.
  - It handles instruction prefixes in a serious manner.
  - Unused/extra prefixes are dropped (output as DB'ed).
  - Lock prefix works only on lockable instructions if the first operand is in
 the form of memory indirection.
  - REPn/z prefix works only on repeatable string instructions as well as I/O
 instructions.
  - Segment Override prefixes are possible where memory indirection address is
 being used (and specially treated with string and I/O instructions).
  - Some SSE2 instructions support pseudo opcodes (CMP family).
  - "Native" instructions, those which have the same mnemonic in different
 decoding modes, unless there's an operand size prefix, which then a suffix
 letter is concatenated to the mnemonic in order to indicate the operation size
 (instructions like: PUSHA, IRET, etc.).
  - XLAT instruction is treated specially when prefixed.
  - Drops invalid instructions when their operands are invalid.
  - Won't decode instructions which are longer than 15 bytes.
  - CR8 register is now accessible using the Lock prefix in 32 bits decoding
 mode.
  - In 64-bit decoding mode the Segment Override prefixes CS, DS, ES and SS are
 ignored.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make -C build/linux

override_dh_auto_install:
	make -C build/linux install DESTDIR=$(CURDIR)/debian/tmp/usr/lib

override_dh_clean:
	dh_clean
	make -C build/linux clean

override_dh_pysupport:
